---
lang: en
title: 'API docs: pooling.pooledvalue'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.pooledvalue.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PooledValue](./pooling.pooledvalue.md)

## PooledValue interface

Pooled resource instance

**Signature:**

```typescript
export interface PooledValue<T> 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [pool](./pooling.pooledvalue.pool.md) |  | Pool&lt;T&gt; | The resource pool |
|  [value](./pooling.pooledvalue.value.md) |  | T | Acquired value from the pool |

## Methods

|  Method | Description |
|  --- | --- |
|  [release()](./pooling.pooledvalue.release.md) | The function to release the acquired value back to the pool |


